Subject: Re: [scim] Kathleen Moriarty's Discuss on draft-ietf-scim-use-cases-06: (with DISCUSS and COMMENT)

From: "Kepeng Li" <[email-masked]>
Date: Sun, 03 May 2015 00:12:11 +0800

Hi Kathleen,

Thanks for your review and comments.

Please find my proposed changes below.

Kind Regards
Kepeng

在 23/4/15 11:24 pm， "Kathleen Moriarty" <[email-masked]>
写入:

>Kathleen Moriarty has entered the following ballot position for
>draft-ietf-scim-use-cases-06: Discuss
>
>When responding, please keep the subject line intact and reply to all
>email addresses included in the To and CC lines. (Feel free to cut this
>introductory paragraph, however.)
>
>
>Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
>for more information about IESG DISCUSS and COMMENT positions.
>
>
>The document, along with other ballot positions, can be found here:
>http://datatracker.ietf.org/doc/draft-ietf-scim-use-cases/
>
>
>
>----------------------------------------------------------------------
>DISCUSS:
>----------------------------------------------------------------------
>
>I had a discuss on section 3.4, that should be quick to clear up on
>privacy and security considerations.
>
>My concern is on the requirements in section 3.4 and maybe it's a
>language issue where I am reading this differently than it was intended.
>If that's the case, it would be good to make sure the text and intent is
>clear.
>
>Current text:
>Requirements:
>
>   o  YourHR must ensure that the personal information generated by the
>      local offices is timely available in a globally-accessible
>      database.
>
>   o  Identity management of the personal data must be protected against
>      unauthorised access and remain confidential to only authorised
>      parties.
>
>   o  All operation with identity data must be securely logged.
>
>   o  The logs should be available for auditing.
>
>My concern is with bullets 1 & 2.  To me, this reads as though personal
>information will be globally available and just the identity management
>information is protected.  What is meant by globally available and are
>there some access restrictions?
>
>Sorry This was not in my review yesterday, I had a UI error.
>

See a separate email.

>
>----------------------------------------------------------------------
>COMMENT:
>----------------------------------------------------------------------
>
>Section 2.4
>I agree with Stephen's question on the assumption of using LDAP.  If its'
>just an example, could you say that or abstract it from LDAP or a
>particular choice.

The main idea is, ECS and CSP can provide service for CSU.
We need something between ECS and CSP.

I changed “LDAP service” to “information access service”.

>
>Section 3.2
>I agree with Stephen (his comment on security considerations section)
>that there should be some mention of regulatory concerns when moving
>identity information between jurisdictional regions (countries,
>state-by-state for regulations on privacy, and universities have
>additional regulations on personal information).  This also applies to
>Section 3.4 (or likely all use cases) as personal information is
>discussed in that use case description.  For section 3.4, you'd need to
>worry about where accounts are provisioned.

I added this sentence in section 3.2 and 3.4:

Regulatory requirements shall be met when migrating
identity information between jurisdictional regions (countries,
state-by-state for regulations on privacy).

>
>Nit:
>Section 2.3.4
>   At the protocol level, this class of scenarios may result in the use
>   of common protocol exchange patters between CSP-1 & CSP-2.
>s/patters/patterns/

Changed, thanks!

---

From: "Kepeng Li" <[email-masked]>
Date: Sun, 03 May 2015 00:12:43 +0800

Hi Kathleen,

>Although the second bullet covers security, it doesn't cover changing
regulatory requirements for privacy based on location.  The office might be in a
different country than the CSP.

We can cover this in the first sentence.

How about this:

o  Your HR must ensure that information generated by the local offices is
provisioned securely and considers privacy requirements in a timely fashion
across systems that may span technical (e.g., protocols and applications),
administrative (e.g., corporate), regulatory (e.g. location) and
jurisdictional domains.

Kind Regards
Kepeng

发件人:  Kathleen Moriarty <[email-masked]>
日期:  Friday, 24 April, 2015 12:57 am
至:  Phil Hunt <[email-masked]>
抄送:  Leif Johansson <[email-masked]>,
"[email-masked]"
<[email-masked]>, "[email-masked]" <[email-masked]>,
The IESG <[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>
主题:  Re: [scim] Kathleen Moriarty's Discuss on
draft-ietf-scim-use-cases-06: (with DISCUSS and COMMENT)

Hi Phil,

This looks good, but leaves out security and privacy considerations.  How
about a small addition (securely and considers privacy requirements),
included in your first new bullet below?

On Thu, Apr 23, 2015 at 12:17 PM, Phil Hunt <[email-masked]> wrote:
> How about this…
> 
> Old Text:
> o  YourHR must ensure that the personal information generated by the local
> offices is timely available in a globally-accessible database.
> 
> unauthorised access and remain confidential to only authorised parties.
> 
> New Text: 
> o  Your HR must ensure that information generated by the local offices is
> provisioned securely and considers privacy requirements in a timely fashion
> across systems that may span technical (e.g., protocols and applications),
> administrative (e.g., corporate), and jurisdictional domains.
> 
> o  Management of personal information must be protected against unauthorized
> access, eavesdropping, and should be distributed only to authorized parties
> and services.

Although the second bullet covers security, it doesn't cover changing
regulatory requirements for privacy based on location.  The office might be
in a different country than the CSP.

Thanks,
Kathleen 
> 
> Phil
> 
> @independentid
> www.independentid.com <http://www.independentid.com>
> [email-masked]
> 
>> On Apr 23, 2015, at 8:51 AM, Kathleen Moriarty
>> <[email-masked]> wrote:
>> 
>> 
>> 
>> On Thu, Apr 23, 2015 at 11:49 AM, Phil Hunt <[email-masked]> wrote:
>>> Yes. Technically globally suggests scim is a db. Which is a sub case really
>>> (and not the current charter).
>>> 
>>> Better to say as a provisioning protocol, the issue (is better expressed) as
>>> distribution personal info across domains: technically (eg protocols and
>>> apps), administratively (eg controlling orgs), and jurisdictionally.
>> 
>> Could you propose some text and take a look at my response to Leif as well,
>> we sent at the same time. It would be good to get the privacy stuff in my
>> comment addressed too and Im happy to assist with text if needed.
>> 
>> Thank you,
>> Kathleen
>>> 
>>> Phil
>>> 
>>>> > On Apr 23, 2015, at 08:38, Leif Johansson <[email-masked]> wrote:
>>>> >
>>>> >
>>>> >
>>>>> >> 23 apr 2015 kl. 17:24 skrev Kathleen Moriarty
>>>>> <[email-masked]>:
>>>>> >>
>>>>> >> Please refer to
>>>>> http://www.ietf.org/iesg/statement/discuss-criteria.html
>>>> > i think you are right - the word 'globally' should go away probably
>>>> >
>>>> >
>>>>> >>
>>>>> >> _______________________________________________
>>>>> >> scim mailing list
>>>>> >> [email-masked]
>>>>> >> https://www.ietf.org/mailman/listinfo/scim
>>>> >
>>>> > _______________________________________________
>>>> > scim mailing list
>>>> > [email-masked]
>>>> > https://www.ietf.org/mailman/listinfo/scim
>> 
>> 
>> 
>> -- 
>> 
>> Best regards,
>> Kathleen
> 

-- 

Best regards,
Kathleen